1. Groups
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
      • Get Data Input
      • Create Data Input
      • Update Data Input
      • Delete Data Input
      • Create or Update Data Input
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
        GET
      • List Groups
        GET
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
      • List Years
  1. Groups

Show Group

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/groups/{{ID}}
Generated from cURL: curl --location '{{BASE_URL}}/api/external/corporate/groups/{{ID}}' --request GET --header 'Authorization: Bearer {{TOKEN}}'

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://platform.esginvest.com/api/external/corporate/groups/{{ID}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 2,
    "name": "Social",
    "key": "SOCIAL",
    "translations": [
        {
            "id": 70,
            "translatable_type": "App\\Models\\Group",
            "translatable_id": 2,
            "language_code": "ar",
            "field": "name",
            "translated_text": "الاجتماعي",
            "created_at": "2025-05-25T14:39:10.000000Z",
            "updated_at": "2025-05-25T14:39:10.000000Z"
        },
        {
            "id": 69,
            "translatable_type": "App\\Models\\Group",
            "translatable_id": 2,
            "language_code": "en",
            "field": "name",
            "translated_text": "Social",
            "created_at": "2025-05-25T14:39:10.000000Z",
            "updated_at": "2025-05-25T14:39:10.000000Z"
        }
    ]
}
Modified at 2026-03-30 01:20:00
Previous
Show Theme
Next
List Groups
Built with